---
.needs-child-needs-parent-jobs:
  needs:
    # - pipeline: $PARENT_PIPELINE_ID
    #   job: setup                    # provides node_module cache
    - pipeline: $PARENT_PIPELINE_ID
      job: get-affected             # provides PROJECT_TRIGGER env var